package com.tuoheng.admin.service.third.dsp;

import com.alibaba.fastjson.JSONObject;
import com.tuoheng.admin.request.inspection.MissionStatusRequest;
import com.tuoheng.common.core.utils.JsonResult;

public interface IDspService {
    JSONObject serviceInstApplication(JSONObject jsonObject);

    JSONObject serviceStopApplication(JSONObject jsonObject);

    /**
     *
     * 调用DSP进行AI分析
     *
     * @param missionStatusRequest
     * @return
     */
    JsonResult startAI(MissionStatusRequest missionStatusRequest);

    /**
     * 硬件停止后，停止AI分析
     * @param msgId
     * @param inspectionId
     * @return
     */
    JsonResult stopAI(String msgId, String inspectionId);
}
